# Command: ignore

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    ignore - ignore any waiting data on an istream

Synopsis:

    istream ignore -> istream

Examples:

    cin ignore
      myfifo ignore

Description:

    "ignore" reads input form the given istream line by line
      and discards it.

Parameters:

    In : istream: the stream to ignore data in.
      Out: istream:  "	 "   "   "   "   "

Bugs:

    -

Diagnostics:

Remarks:

    After a call to "ignore", the state of the stream is always "good", and
      blocking I/O is selected for that stream (O_NONBLOCK==false).

Author:

    R Kupper

FirstVersion:

    1999. New version using setNONBLOCK: Oct 22 1999

SeeAlso:

- available

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/lib/sli/misc_helpers.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative